RDF::Trine::Store::DBI::SQLite(3pm)

NAME
RDF::Trine::Store::DBI::SQLite - SQLite subclass of DBI store

VERSION
This document describes RDF::Trine::Store::DBI::SQLite version 1.014

SYNOPSIS
    use RDF::Trine::Store::DBI::SQLite;
    my $store = RDF::Trine::Store->new({
                                         storetype => 'DBI',
                                         name      => 'test',
                                         dsn       => "dbi:SQLite:dbname=test.db",
                                         username  => '',
                                         password  => ''
                                       });

CHANGES IN VERSION 1.014
The schema used to encode RDF data in SQLite changed in RDF::Trine version 1.014 to fix a bug that was causing data loss. This change is not backwards compatible, and is not compatible with the shared schema used by the other database backends supported by RDF::Trine (PostgreSQL and MySQL).

To exchange data between SQLite and other databases, the data will require export to an RDF serialization and re-import to the new database.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Store::DBI class.

"new_with_config ( \%config )"
    Returns a new RDF::Trine::Store object based on the supplied configuration hashref.

"init"
    Creates the necessary tables in the underlying database.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.